#!/bin/bash

SITES=(http://www.fsf.org
       http://www.fsfe.org
       http://identi.ca
       http://en.wikipedia.org/wiki/Acropolis_of_Athens
	   http://www.whitehouse.gov)

SITE_ID=(fsf
         fsfe 
         identica
         wikipedia-acropolis
	     whitehouse)

MAX_INDEX=$((${#SITES[@]} - 1))
SCROLLER=$(basename $1 -run.sh)
NAME=${SCROLLER#webscroll-}
DATE=$(date +"%Y%m%d")

for ((i = 0; i <= MAX_INDEX; i++)); do
	site=${SITES[$i]}
	id=${SITE_ID[$i]}
	cairo-trace --no-file $1 --iterations 1 --delay 15 $site > $NAME-$id-$DATE.trace
done
